Subject: Re: [mpls] Progressing Resdience Time Measurement draft

From: Gregory Mirsky <[email-masked]>
Date: Tue, 2 Feb 2016 01:26:27 +0000

Hi Acee,
you've likely noticed very interesting discussion of RTM applicability in Segment Routing environment. We'll be studying this use case and start a new draft. But the SPRING use case of RTM, in my view, justifies already proposed in the document IGP TLV extensions.
What do you think about RTM in SPRING case? Would you agree to the proposed IGP extensions?

	Regards,
		Greg

-----Original Message-----
From: Acee Lindem (acee) [mailto:[email-masked]] 
Sent: Sunday, January 31, 2016 4:51 AM
To: Gregory Mirsky; Loa Andersson
Cc: [email-masked]; [email-masked]
Subject: Re: [mpls] Progressing Resdience Time Measurement draft

Hi Greg,
That sounds like a good plan.
Thanks,
Acee

On 1/30/16, 8:36 PM, "Gregory Mirsky" <[email-masked]> wrote:

>Hi Acee,
>thank you for your thorough review and OSPF insights.
>I've updated reference to RFC 7684 in the new -01 version.
>When we were starting work on RTM we intended to address LDP signaled 
>IP/MPLS networks as well and that, as I recall, was the reason to use 
>more generic IGP TLVs rather than TE-specific. Since LDP drifted out of 
>scope, I agree, use of TE advertisements is more suitable. We'll work 
>on that and share new update with you and the IGP WGs.
>
>	Regards,
>		Greg
>
>-----Original Message-----
>From: mpls [mailto:[email-masked]] On Behalf Of Acee Lindem 
>(acee)
>Sent: Thursday, January 28, 2016 4:55 PM
>To: Loa Andersson
>Cc: [email-masked]; [email-masked]
>Subject: Re: [mpls] Progressing Resdience Time Measurement draft
>
>I’ve read the subject draft and think it offers a useful function to 
>facilitate more accurate time synchronization in NTP/PTP deployments. 
>One question I have is why the capability is signaled in the generic 
>IGP TLV LSAs and LSPs rather than the TE advertisements when the 
>document is scoped to RSVP-TE [RFC3209] LSPs? One reason I ask is that 
>we are waiting on implementations of the OSPFv3 Extended LSAs draft. 
>Having said that,
>OSPFv2 and OSPFv3 have separate registry for the TLV LSAs and section 8 
>should reflect this. Also, OSPF Prefix/Link Attributes is now RFC 7684.
>
>Thanks,
>Acee
>>-----Original Message-----
>>From: Loa Andersson [mailto:[email-masked]]
>>Sent: Monday, December 14, 2015 7:23 PM
>>To: Gregory Mirsky; [email-masked]; [email-masked]
>>Cc: [email-masked]
>>Subject: Re: [mpls] Progressing Resdience Time Measurement draft 
>>Working Group and authors, <chair hat off> As a matter of fact I 
>>believe this document should be progressed.
>><chair hat on>
>>This draft has been a working group document since early August, but 
>>there has been no discussion on the document on the wg mailing list.
>>There are of course two ways if interpreting this.
>>- there is total agreement on the draft
>>- there is no intrest in the draft
>>I have no basis to decide which is the case.
>>Can we plese have at least a few (non-author) comments on the mailing 
>>list if it is time to start the wglc.
>>/Loa
>>mpls wg co-chair
>>On 2015-12-15 07:21, Gregory Mirsky wrote:
>>Dear Chairs of the MPLS WG,
>>>authors of the Residence Time Measurement in MPLS Network draft 
>>>believe that all comments received during the WG adoption call been 
>>>addressed.
>>>Thus, authors would like to ask the WG Chairs to consider WG LC as 
>>>the next step.
>>>                 Regards,
>>>                                 Greg 
>>>_______________________________________________
>>>mpls mailing list
>>>[email-masked]
>>>https://www.ietf.org/mailman/listinfo/mpls
>
>
>_______________________________________________
>mpls mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/mpls

---

From: Gregory Mirsky <[email-masked]>
Date: Thu, 11 Feb 2016 18:20:51 +0000

Hi Acee,

I've realized that I yet have not addressed your comment on Section 8 IANA Consideration. Would appreciate your review of update I've prepared (diff and newer version being attached). Updates are in:

·         section 4.2;

·         section 8.4 is now for OSPFv2;

·         new section 8.5 being added for OSPFv3.

We have discussed whether RTM Capability advertisement should be advertised in TE IGP advertisements or use generic IGP. Though this document addresses TE MPLS, I believe that Segment Routing is the use case to support choice of generic IGP advertisements as proposed in the draft.

Greatly appreciate your comments and suggestions.

                Regards,

                                Greg

-----Original Message-----
From: Acee Lindem (acee) [mailto:[email-masked]]
Sent: Sunday, January 31, 2016 4:51 AM
To: Gregory Mirsky; Loa Andersson
Cc: [email-masked]; [email-masked]
Subject: Re: [mpls] Progressing Resdience Time Measurement draft

Hi Greg,

Thanks,

Acee

>Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>

>>To: Gregory Mirsky; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>

>>Cc: [email-masked]<mailto:[email-masked]>

>>>[email-masked]<mailto:[email-masked]>

>[email-masked]<mailto:[email-masked]>

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Thu, 11 Feb 2016 22:08:32 +0000

Hi Greg,
Updates satisfy my comments.
Thanks,
Acee

From: Gregory Mirsky <[email-masked]<mailto:[email-masked]>>
Date: Thursday, February 11, 2016 at 1:20 PM
To: Acee Lindem <[email-masked]<mailto:[email-masked]>>, Loa Andersson <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: RE: [mpls] Progressing Resdience Time Measurement draft

Hi Acee,

·         section 4.2;

                Regards,

                                Greg

-----Original Message-----
From: Acee Lindem (acee) [mailto:[email-masked]]
Sent: Sunday, January 31, 2016 4:51 AM
To: Gregory Mirsky; Loa Andersson
Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: Re: [mpls] Progressing Resdience Time Measurement draft

Hi Greg,

Thanks,

Acee

---

From: Gregory Mirsky <[email-masked]>
Date: Thu, 11 Feb 2016 22:10:44 +0000

Hi Acee,
many thanks for your time and consideration, much obliged.

                Regards,
                                Greg

Sent: Thursday, February 11, 2016 2:09 PM

Hi Greg,

Hi Acee,

·         section 4.2;

                Regards,

                                Greg

-----Original Message-----
From: Acee Lindem (acee) [mailto:[email-masked]]
Sent: Sunday, January 31, 2016 4:51 AM
To: Gregory Mirsky; Loa Andersson
Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: Re: [mpls] Progressing Resdience Time Measurement draft

Hi Greg,

Thanks,

Acee

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Thu, 11 Feb 2016 22:15:52 +0000

Hi Greg, 
That sounds reasonable, if it is used for Segment Routing paths, it does
belong in the primary protocol LSAs rather than being relegated to the TE
LSAs. 
Thanks,
Acee 

On 2/1/16, 8:26 PM, "Gregory Mirsky" <[email-masked]> wrote:

>Hi Acee,
>you've likely noticed very interesting discussion of RTM applicability in
>Segment Routing environment. We'll be studying this use case and start a
>new draft. But the SPRING use case of RTM, in my view, justifies already
>proposed in the document IGP TLV extensions.

---

From: Gregory Mirsky <[email-masked]>
Date: Fri, 12 Feb 2016 16:49:38 +0000

Hi Acee,
thank you very much. New version -03 includes all changes that address your comments and fixes couple nits I’ve found in RSVP related section.

                Regards,
                                Greg

Hi Greg,

Hi Acee,

·         section 4.2;

                Regards,

                                Greg

-----Original Message-----
From: Acee Lindem (acee) [mailto:[email-masked]]
Sent: Sunday, January 31, 2016 4:51 AM
To: Gregory Mirsky; Loa Andersson
Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: Re: [mpls] Progressing Resdience Time Measurement draft

Hi Greg,

Thanks,

Acee

>https://www.ietf.org/mailman/listinfo/mpls

Subject: New Version Notification for draft-ietf-mpls-residence-time-03.txt
From: "[email-masked]" <[email-masked]>
To: Alexander Vainshtein <[email-masked]>, Gregory Mirsky <[email-masked]>, Stefano Ruffini <[email-masked]>, John Drake <[email-masked]>, "Sasha Vainshtein" <[email-masked]>, Eric Gray <[email-masked]>, Stewart Bryant <[email-masked]>, Eric Gray <[email-masked]>
Date: Fri, 12 Feb 2016 16:46:58 +0000

A new version of I-D, draft-ietf-mpls-residence-time-03.txt
has been successfully submitted by Greg Mirsky and posted to the
IETF repository.

Name:		draft-ietf-mpls-residence-time
Revision:	03
Title:		Residence Time Measurement in MPLS network
Document date:	2016-02-12
Group:		mpls
Pages:		25
URL:            https://www.ietf.org/internet-drafts/draft-ietf-mpls-residence-time-03.txt
Status:         https://datatracker.ietf.org/doc/draft-ietf-mpls-residence-time/
Htmlized:       https://tools.ietf.org/html/draft-ietf-mpls-residence-time-03
Diff:           https://www.ietf.org/rfcdiff?url2=draft-ietf-mpls-residence-time-03

Abstract:
   This document specifies G-ACh based Residence Time Measurement and
   how it can be used by time synchronization protocols being
   transported over MPLS domain.

   Residence time is the variable part of propagation delay of timing
   and synchronization messages and knowing what this delay is for each
   message allows for a more accurate determination of the delay to be
   taken into account in applying the value included in a PTP event
   message.

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Sat, 20 Feb 2016 00:44:38 +0000

Hi Greg, Loa, 

>What do you think about RTM in SPRING case? Would you agree to the

Sure. 

Thanks,
Acee